[Swift-commit] r3504 - trunk/tests
noreply at svn.ci.uchicago.edu
noreply at svn.ci.uchicago.edu
Tue Aug 10 13:20:23 CDT 2010
Author: wozniak
Date: 2010-08-10 13:20:23 -0500 (Tue, 10 Aug 2010)
New Revision: 3504
Added:
trunk/tests/diamond.check.sh
trunk/tests/diamond.clean.sh
Log:
Helper scripts for diamond test
Added: trunk/tests/diamond.check.sh
===================================================================
--- trunk/tests/diamond.check.sh (rev 0)
+++ trunk/tests/diamond.check.sh 2010-08-10 18:20:23 UTC (rev 3504)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -x
+
+COUNT=( $( ls f*.txt ) )
+(( ${#COUNT[@]} == 4 )) || exit 1
+
+LINES=$( wc -l < fd.txt )
+(( ${LINES} == 4 )) || exit 1
+
+exit 0
Property changes on: trunk/tests/diamond.check.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/diamond.clean.sh
===================================================================
--- trunk/tests/diamond.clean.sh (rev 0)
+++ trunk/tests/diamond.clean.sh 2010-08-10 18:20:23 UTC (rev 3504)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -v f*.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/diamond.clean.sh
___________________________________________________________________
Name: svn:executable
+ *
More information about the Swift-commit
mailing list